.main_app,
.main_table {
    width: 100%;
    display: block;
}

table.dataTable {
    border-spacing: 0 15px;
    background: transparent !important;
}

table.dataTable thead>tr>th {
    background: #5ab4b5;
    color: #ffffff;
    border: 0;
    min-width: max-content;
    vertical-align: middle;
    white-space: nowrap;
}

.dataTables_filter input {
    width: 100%;
}

table.dataTable>tbody>tr.child ul.dtr-details {
    width: 100%;
}

body .dataTables_wrapper .dataTables_filter {
    text-align: left;
}

.dataTables_wrapper .dataTables_length select {
    padding: 6px 36px 6px 8px;
    background-color: #fff;
    line-height: 1;
}

.dataTables_length label {
    color: #5ab5b5;
}

table.dataTable td {
    background: #fff;
}

table.dataTable.no-footer {
    border: 0;
}

.accordion path {
    fill: white;
}

.action_div {
    position: relative;
    display: flex;
    width: max-content;
}

.action_ul {
    position: absolute;
    min-width: 140px;
    right: 0;
    background: #fff;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s linear;
    padding: 10px 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgb(0 0 0 / 10%);
    z-index: 1;
    top: 27px;
    width: max-content;
}

.action_ul li:not(:last-child) {
    margin-bottom: 10px;
}

.action_ul.active {
    opacity: 1;
    visibility: visible;
}

ul.pagination {
    width: max-content;
    margin-left: auto;
    background: #f9fdfd;
    border-radius: 15px;
    padding: 5px 10px;
    box-shadow: 0 4px 8px rgb(0 0 0 / 10%);
}

ul.pagination .page-item.previous a,
ul.pagination .page-item.next a {
    width: 20px;
    height: 20px;
    position: relative;
    display: inline-block;
    font-size: 0;
}

ul.pagination .page-item.previous a::before {
    content: '<<';
    font-size: 16px;
}

ul.pagination .page-item.next a::before {
    content: '>>';
    font-size: 16px;
}

div .dataTables_wrapper .dataTables_paginate .paginate_button {
    border: 0;
    background: transparent;

}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: #5ab4b5;
    border: 0;
    color: #fff !important;
}

.action_ul li a {
    display: block;
}

svg.arrow {
    display: none;
}

.form_main {
    min-width: 213px;
}

div#tree text {
    font-size: 20px !important;
    fill: #000;
}

/* div#tree {
    border-radius: 30px;
    background: #5ab5b563;
} */
div#tree hr {
    margin-bottom: 10px;
}

.bft-family-menu div {
    cursor: pointer;
}
.select2{
    width: 100% !important;

} 
.select2-container--default .select2-selection--multiple,
.select2-selection{
    padding: 10px 20px;
    border-color: #6b7280 !important;
    height: unset !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 13px;
}
.select2-selection{
    min-height: 50px;
}
/* calender */
.fc .fc-toolbar-title {
    font-size: 2.25rem;
    line-height: 2.5rem;
    color: #5ab4b5;
    font-weight: 500;
}
.fc .fc-button-primary,
.fc .fc-button-primary:disabled {
    background: #5ab4b5;
    border-color: #5ab4b5;
}
[type='text']:focus, input:where(:not([type])):focus, [type='email']:focus, [type='url']:focus, [type='password']:focus, [type='number']:focus, [type='date']:focus, [type='datetime-local']:focus, [type='month']:focus, [type='search']:focus, [type='tel']:focus, [type='time']:focus, [type='week']:focus, [multiple]:focus, textarea:focus, select:focus,
[type='checkbox']:focus, [type='radio']:focus{
    --tw-ring-color: #5ab4b5;
    border-color: #5ab4b5;
}
[type='checkbox'], [type='radio']{
    color: #5ab4b5; 
}
.fc-toolbar .fc-button{
    background: #5ab4b5;
    color: #fff;
    text-transform: capitalize;
    font-weight: 400;
}
.fc-toolbar .fc-center h2 {
    font-size: 30px;
    text-transform: capitalize;
    font-weight: 700;
}
.calendar_popup::before ,
.edit_form_date::before{
    position: absolute;
    content: '';
    width: 100vw;
    height: 100vh;
    background: rgb(0 0 0 / 60%);
    left: calc(-50vw + 50%);
    top: calc(-50vh + 50%);
    z-index: -1;
}
.dataTables_paginate {
    width: max-content;
    margin-left: auto;
    background: #F0F0F0;
    border-radius: 15px;
    padding: 10px;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
    border: 0 !important;
    color: #5ab4b5 !important;
    font-weight: 600;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    box-shadow: none;
    justify-content: center;
}
div .dataTables_wrapper .dataTables_paginate .paginate_button.previous::before {
    content: "<<";
    font-size: 16px;
    color: #5ab4b5;
}
div .dataTables_wrapper .dataTables_paginate .paginate_button.previous,
div .dataTables_wrapper .dataTables_paginate .paginate_button.next {
    font-size: 0;
}
div .dataTables_wrapper .dataTables_paginate .paginate_button.next::before{
    content: ">>";
    font-size: 16px;
    color: #5ab4b5;
}
.dataTables_wrapper .dataTables_paginate {
    display: flex;
    align-items: center;
}
.dataTables_wrapper .dataTables_paginate a.paginate_button.current {
    border-radius: 10px;
    box-shadow: 0px 0px 9px -2px #00000047;
    background: #fff;
    color: #5ab4b5 !important;
}
.dataTables_wrapper .dataTables_paginate span {
    display: flex;
}
.dash_left::-webkit-scrollbar-track {
    background-color: #F5F5F5;
}
.dash_left::-webkit-scrollbar{
	width: 6px;
	background-color: #F5F5F5;
}

.dash_left::-webkit-scrollbar-thumb{
	background-color: #5ab5b5;
    border-left: 1px solid #fff;
}
/* calender */
@media(max-width:1024px) {
    svg.arrow.lg\:block {
        display: block;
    }
}

@media(max-width:640px) {
    .header_form {
        background: rgb(0 0 0 / 60%);
    }

    .header_form.form_acti {
        opacity: 1;
        visibility: visible;
    }
}

@media(max-width:575px) {
    .form_main {
        min-width: 113px;
    }
}

/* start */


.none {
    visibility: hidden;
    opacity: 0;
    height: 0px;
    width: 0px;
}

.block {
    visibility: visible;
    opacity: 1;
}

.value img {
    width: 50px;
}

#imagePreview {
    max-width: 60px;
    max-height: 60px;
    display: none;
  }

  #clearButton {
    display: none;
    margin-top: 3px;
    cursor: pointer;
    color: red;
  }
  .image_fullscreen {
    background: rgb(0 0 0 / 70%);
}
.close_cal path{
    stroke: red;
}
.select2-container--default li.select2-results__option--selected{
    background-color: rgb(90 181 181);
    color:#fff;
}
.calendar_popup input::-webkit-file-upload-button ,
.edit_form_date input::-webkit-file-upload-button {
    display: none;
}
.calendar_popup input[type="file"],
.edit_form_date input[type="file"] {
    color: #6B7280;
}
/* background overlay */
.mobile_to_mainUser_update{
    background-color: rgba(0,0,0,0.6);
    z-index: 51;
}
/* background overlay */
